Page MenuHomePhabricator

Collapsed tables broken in visual diff
Closed, ResolvedPublic

Description

Similar to T194323: [Regression wmf.3] Selecting "Collapsed initially" makes the table look broken with an unclickable useless text [Expand] collapsed tables are broken in visual diff, both while editing and in historic diffs.
To reproduce, add

{| class="wikitable mw-collapsible mw-collapsed"
! Foo 
! Bar
|-
| foo 
| bar
|}

to any page, or edit such a table that already exists.

The visual diff will show a collapsed table with an unclickable [Expand]. This applies to all ways of visual diff, i.e. diff in visual mode, diff in source mode, and historic diff.

Details

Related Gerrit Patches:

Event Timeline

Schnark created this task.May 15 2018, 7:04 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 15 2018, 7:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Vvjjkkii renamed this task from Collapsed tables broken in visual diff to aycaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii removed matmarex as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: matmarex; removed: Aklapper.
WhitePhosphorus renamed this task from aycaaaaaaa to Collapsed tables broken in visual diff.Jul 1 2018, 2:37 AM
WhitePhosphorus assigned this task to matmarex.
WhitePhosphorus raised the priority of this task from High to Needs Triage.
WhitePhosphorus updated the task description. (Show Details)
WhitePhosphorus edited subscribers, added: Aklapper; removed: matmarex.

Change 444004 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Apply edit surface jQuery.makeCollapsible overrides to visual diffs too

https://gerrit.wikimedia.org/r/444004

matmarex triaged this task as Low priority.Jul 5 2018, 3:42 PM
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.
matmarex moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 444004 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Apply edit surface jQuery.makeCollapsible overrides to visual diffs too

https://gerrit.wikimedia.org/r/444004

Deskana closed this task as Resolved.Aug 10 2018, 10:35 AM